jQuery(document).ready(function($) {
    if (popupData.message) {
        var popup = $('<div class="custom-popup ' + popupData.position + '">' + popupData.message + '</div>').css({
            color: popupData.textColor,
            backgroundColor: popupData.bubbleColor
        });

        $('body').append(popup);

        var showPopup = function() {
            popup.fadeIn(300).delay(popupData.duration * 1000).fadeOut(300);
        };

        if (popupData.showAlways) {
            showPopup();
        } else {
            if (!localStorage.getItem('popupShown')) {
                showPopup();
                localStorage.setItem('popupShown', 'true');
            }
        }
    }
});